# Interface ConfigLoadOptions

interface ConfigLoadOptions {
fromCid?: string;
fromDns?: string | boolean;
fromLocalStorage?: boolean;
fromUrlParam?: string | boolean;
schema?: AnySchema;
static?: Record<string, any>;
url?: string | string[] | (environment: Environment) => string | string[];
}

- Defined in config.service.ts:23

#####
Index

### Properties

fromCid?
fromDns?
fromLocalStorage?
fromUrlParam?
schema?
static?
url?

##
Properties

### `Optional` fromCid

fromCid?: string

Load additional configuration directly from the given Content Identifier (CID). This takes precedence over `fromDns` if both are provided.

- Defined in config.service.ts:41

### `Optional` fromDns

fromDns?: string | boolean

Load additional configuration based on a CID found in a DNS TXT record. If true, uses `location.hostname`. If a string, uses that domain.

- Defined in config.service.ts:36

### `Optional` fromLocalStorage

fromLocalStorage?: boolean

- Defined in config.service.ts:25

### `Optional` fromUrlParam

fromUrlParam?: string | boolean

- Defined in config.service.ts:24

### `Optional` schema

schema?: AnySchema

- Defined in config.service.ts:26

### `Optional` static

static?: Record<string, any>

static config values

- Defined in config.service.ts:31

### `Optional` url

url?: string | string[] | (environment: Environment) => string | string[]

- Defined in config.service.ts:27